Package org.drinkless.tdlib

# Class TdApi.GetMainWebApp

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.MainWebApp>
org.drinkless.tdlib.TdApi.GetMainWebApp

Enclosing class:
  `TdApi`

public static class TdApi.GetMainWebApp extends TdApi.Function<TdApi.MainWebApp>
Returns information needed to open the main Web App of a bot.

Returns `MainWebApp`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  Identifier of the target bot.
  `long`
  `chatId`
  Identifier of the chat in which the Web App is opened; pass 0 if none.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.WebAppOpenParameters`
  `parameters`
  Parameters to use to open the Web App.
  `String`
  `startParameter`
  Start parameter from internalLinkTypeMainWebApp.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetMainWebApp()`
  Default constructor for a function, which returns information needed to open the main Web App of a bot.
  `GetMainWebApp(long chatId, long botUserId, String startParameter, TdApi.WebAppOpenParameters parameters)`
  Creates a function, which returns information needed to open the main Web App of a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat in which the Web App is opened; pass 0 if none.

  - ### botUserId

    public long botUserId
    Identifier of the target bot. If the bot is restricted for the current user, then show an error instead of calling the method.

  - ### startParameter

    public String startParameter
    Start parameter from internalLinkTypeMainWebApp.

  - ### parameters

    public TdApi.WebAppOpenParameters parameters
    Parameters to use to open the Web App.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetMainWebApp

    public GetMainWebApp()
    Default constructor for a function, which returns information needed to open the main Web App of a bot.

    Returns `MainWebApp`

  - ### GetMainWebApp

    public GetMainWebApp(long chatId, long botUserId, String startParameter, TdApi.WebAppOpenParameters parameters)
    Creates a function, which returns information needed to open the main Web App of a bot.

    Returns `MainWebApp`

    Parameters:
      `chatId` - Identifier of the chat in which the Web App is opened; pass 0 if none.
      `botUserId` - Identifier of the target bot. If the bot is restricted for the current user, then show an error instead of calling the method.
      `startParameter` - Start parameter from internalLinkTypeMainWebApp.
      `parameters` - Parameters to use to open the Web App.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.MainWebApp>`
    Returns:
      this.CONSTRUCTOR